Appium 新人求助,这个报错困扰了我好几天,

Tsn_09 · February 27, 2017 · Last by 王明海 replied at February 28, 2017 · 1619 hits
import os
from selenium import webdriver

desired_caps = {}
desired_caps['platformName'] = 'iOS'
desired_caps['platformVersion'] = '9.3'
desired_caps['deviceName'] = 'iPhone Simulator'
desired_caps['app'] = os.path.abspath('/Users/tian/Downloads/iOS/YunSuo.app')

wd = webdriver.Remote('http://127.0.0.1:4723/wd/hub', desired_caps)


Traceback (most recent call last):
File "/Users/tian/Documents/Python/Test/learn-appium.py", line 13, in <module>
wd = webdriver.Remote('http://127.0.0.1:4723/wd/hub', desired_caps)
File "/usr/local/lib/python3.6/site-packages/selenium/webdriver/remote/webdriver.py", line 92, in __init__
self.start_session(desired_capabilities, browser_profile)
File "/usr/local/lib/python3.6/site-packages/selenium/webdriver/remote/webdriver.py", line 179, in start_session
response = self.execute(Command.NEW_SESSION, capabilities)
File "/usr/local/lib/python3.6/site-packages/selenium/webdriver/remote/webdriver.py", line 236, in execute
self.error_handler.check_response(response)
File "/usr/local/lib/python3.6/site-packages/selenium/webdriver/remote/errorhandler.py", line 192, in check_response
raise exception_class(message, screen, stacktrace)
selenium.common.exceptions.WebDriverException: Message: An unknown server-side error occurred while processing the command. Original error: Xcode version [object Object] is not yet supported

Appium-1.5.3 Xcode-8.2.1 Python-3.6.0

共收到 1 条回复 时间 点赞

Xcode8以上的版本不支持Appium-1.5.3版本

Tsn_09 关闭了讨论 05 Mar 12:32
需要 Sign In 后方可回复, 如果你还没有账号请点击这里 Sign Up